LoggerInterface
Date: 2019-10-22

org.jmol.util

## Interface LoggerInterface

- All Known Implementing Classes:
    DefaultLogger

      public interface LoggerInterface

  Interface used for the logging mechanism.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String txt)` Writes a log at DEBUG level.
    `void` | `error(java.lang.String txt)` Writes a log at ERROR level.
    `void` | `errorEx(java.lang.String txt, java.lang.Throwable e)` Writes a log at ERROR level with detail on exception.
    `void` | `fatal(java.lang.String txt)` Writes a log at FATAL level.
    `void` | `fatalEx(java.lang.String txt, java.lang.Throwable e)` Writes a log at ERROR level with detail on exception.
    `void` | `info(java.lang.String txt)` Writes a log at INFO level.
    `void` | `warn(java.lang.String txt)` Writes a log at WARN level.
    `void` | `warnEx(java.lang.String txt, java.lang.Throwable e)` Writes a log at WARN level with detail on exception.

- - ### Method Detail

    - #### debug

          void debug(java.lang.String txt)

      Writes a log at DEBUG level.
      Parameters:
        `txt` - String to write.

    - #### info

          void info(java.lang.String txt)

      Writes a log at INFO level.
      Parameters:
        `txt` - String to write.

    - #### warn

          void warn(java.lang.String txt)

      Writes a log at WARN level.
      Parameters:
        `txt` - String to write.

    - #### warnEx

          void warnEx(java.lang.String txt,
                      java.lang.Throwable e)

      Writes a log at WARN level with detail on exception.
      Parameters:
        `txt` - String to write.
        `e` - Exception.

    - #### error

          void error(java.lang.String txt)

      Writes a log at ERROR level.
      Parameters:
        `txt` - String to write.

    - #### errorEx

          void errorEx(java.lang.String txt,
                       java.lang.Throwable e)

      Writes a log at ERROR level with detail on exception.
      Parameters:
        `txt` - String to write.
        `e` - Exception.

    - #### fatal

          void fatal(java.lang.String txt)

      Writes a log at FATAL level.
      Parameters:
        `txt` - String to write.

    - #### fatalEx

          void fatalEx(java.lang.String txt,
                       java.lang.Throwable e)

      Writes a log at ERROR level with detail on exception.
      Parameters:
        `txt` - String to write.
        `e` - Exception.